### org.jfree.layouting.util

# Class LazyAttributeMap

- `java.lang.Object`
- - `org.jfree.layouting.util.AttributeMap`
  - - `org.jfree.layouting.util.LazyAttributeMap`

Implemented Interfaces:
  Cloneable, Serializable

`public class LazyAttributeMap`
`extends AttributeMap`

Todo: Document Me

Author:
  Thomas Morgner

  ## Constructor Summary

  `LazyAttributeMap(AttributeMap copy)`

  ## Method Summary

  `AttributeMap`

  `createUnmodifiableMap()`

  `Object`

  `getAttribute(String namespace, String attribute)`

  `Map`

  `getAttributes(String namespace)`

  `long`

  `getChangeTracker()`

  `Object`

  `getFirstAttribute(String attribute)`

  `String[]`

  `getNameSpaces()`

  `boolean`

  `isEmpty()`

  `Object`

  `setAttribute(String namespace, String attribute, Object value)`

  ### Methods inherited from class org.jfree.layouting.util.AttributeMap

  `clone`, `copyInto`, `createUnmodifiableMap`, `getAttribute`, `getAttributes`, `getChangeTracker`, `getFirstAttribute`, `getNameSpaces`, `isEmpty`, `isReadOnly`, `makeReadOnly`, `setAttribute`, `setAttributeInternal`

## Constructor Details

### LazyAttributeMap

    public LazyAttributeMap(AttributeMap copy)

## Method Details

### createUnmodifiableMap

    public AttributeMap createUnmodifiableMap()

> Overrides:
>   createUnmodifiableMap in interface AttributeMap

### getAttribute

    public Object getAttribute(String namespace,
                               String attribute)

> Overrides:
>   getAttribute in interface AttributeMap

### getAttributes

    public Map getAttributes(String namespace)

> Overrides:
>   getAttributes in interface AttributeMap

### getChangeTracker

    public long getChangeTracker()

> Overrides:
>   getChangeTracker in interface AttributeMap

### getFirstAttribute

    public Object getFirstAttribute(String attribute)

> Overrides:
>   getFirstAttribute in interface AttributeMap

### getNameSpaces

    public String[] getNameSpaces()

> Overrides:
>   getNameSpaces in interface AttributeMap

### isEmpty

    public boolean isEmpty()

> Overrides:
>   isEmpty in interface AttributeMap

### setAttribute

    public Object setAttribute(String namespace,
                               String attribute,
                               Object value)

> Overrides:
>   setAttribute in interface AttributeMap